package com.njzscloud.supervisory.device.drive.barrier;

import lombok.Getter;

public abstract class Barrier {
    @Getter
    protected String sn;

    public Barrier(String sn) {
        this.sn = sn;
    }

    public abstract void open();

    public abstract void close();

    public abstract void auto();
}
